Bug 892893 - Enable perf trace utility in Fedora
Summary: Enable perf trace utility in Fedora
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 18
Hardware: All
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-01-08 07:31 UTC by WANG Chao
Modified: 2015-02-08 21:43 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-01-14 04:14:19 UTC
Type: Bug


Attachments (Terms of Use)

Description WANG Chao 2013-01-08 07:31:14 UTC
Description of problem:
/usr/bin/perf has introduced a new utility trace. To enable this feature, perf must be build with libaudit.h.

From http://kojipkgs.fedoraproject.org//packages/kernel/3.7.1/2.fc18/data/logs/x86_64/build.log:
+ make -j16 -C tools/perf -s V=1 WERROR=0 HAVE_CPLUS_DEMANGLE=1 prefix=/usr DESTDIR=/builddir/build/BUILDROOT/kernel-3.7.1-2.fc18.x86_64 install
[..]
Makefile:581: No libaudit.h found, disables 'trace' tool, please install audit-libs-devel or libaudit-dev

Which results in,
[root@ibm-x3550m3-01 ~]# perf --help

 usage: perf [--version] [--help] COMMAND [ARGS]

 The most commonly used perf commands are:
   annotate        Read perf.data (created by perf record) and display annotated code
   archive         Create archive with object files with build-ids found in perf.data file
   bench           General framework for benchmark suites
   buildid-cache   Manage build-id cache.
   buildid-list    List the buildids in a perf.data file
   diff            Read two perf.data files and display the differential profile
   evlist          List the event names in a perf.data file
   inject          Filter to augment the events stream with additional information
   kmem            Tool to trace/measure kernel memory(slab) properties
   kvm             Tool to trace/measure kvm guest os
   list            List all symbolic event types
   lock            Analyze lock events
   record          Run a command and record its profile into perf.data
   report          Read perf.data (created by perf record) and display the profile
   sched           Tool to trace/measure scheduler properties (latencies)
   script          Read perf.data (created by perf record) and display trace output
   stat            Run a command and gather performance counter statistics
   test            Runs sanity tests.
   timechart       Tool to visualize total system behavior during a workload
   top             System profiling tool.
   trace           strace inspired tool
^^^^^^^^^^ Yes, it says trace is here.
   probe           Define new dynamic tracepoints

 See 'perf help COMMAND' for more information on a specific command.

[root@ibm-x3550m3-01 ~]# perf trace
perf: 'trace' is not a perf-command. See 'perf --help'.


So here I'm asking to add audit-libs-devel to perf build dependencies.

Version-Release number of selected component (if applicable):
kernel-3.7.1-2.fc18

How reproducible:
100%

Steps to Reproduce:
1. Install perf
2. run perf trace
3. run perf --help
  
Actual results:
perf trace isn't enabled.

Expected results:
perf trace is enabled.

Additional info:

Comment 1 Dave Jones 2013-01-10 18:37:15 UTC
done in f18 git, will be in next build.

already done in master.

Comment 2 Fedora Update System 2013-01-12 15:06:09 UTC
kernel-3.7.2-201.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/kernel-3.7.2-201.fc18

Comment 3 Fedora Update System 2013-01-14 04:14:21 UTC
kernel-3.7.2-201.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 4 Fedora Update System 2013-03-08 22:15:22 UTC
kernel-3.8.2-105.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/kernel-3.8.2-105.fc17

Comment 5 Fedora Update System 2013-03-14 15:18:11 UTC
kernel-3.8.2-105.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/FEDORA-2013-3638/kernel-3.8.2-105.fc17

Comment 6 Fedora Update System 2013-03-14 22:55:02 UTC
kernel-3.8.3-101.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/kernel-3.8.3-101.fc17

Comment 7 Fedora Update System 2013-03-22 00:15:00 UTC
kernel-3.8.3-103.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.